# feature.get\_stats()

Rasgo makes it easy for you to get the stats for any feature stored within Rasgo from Python without needing to use the GUI. Once you have a feature, you can get its stats by calling `get_stats`.

**`feature = rasgo.get.feature(id)`**

**`fstats = feature.get_stats()`**

You can access the individual stats either directly as

**`fstats.meanVal`**

Or create a dictionary and work with the stats in the dictionary

**`fstats_dict = fstats.dict()`**\
\&#xNAN;**`fstats_dict['meanVal']`**

The available statistics are:

| **Field Name**   | **Statistic**                                |
| ---------------- | -------------------------------------------- |
| **recCt**        | **Record Count**                             |
| **distinctCt**   | **Number of Distinct Values**                |
| **nullRecCt**    | **Number Null**                              |
| **zeroValRecCt** | **Number that is zero value**                |
| **meanVal**      | **Mean**                                     |
| **medianVal**    | **Median**                                   |
| **maxVal**       | **Maximum**                                  |
| **minVal**       | **Minimum**                                  |
| **sumVal**       | **Sum**                                      |
| **stdDevVal**    | **Standard Deviation**                       |
| **varianceVal**  | **Variance**                                 |
| **rangeVal**     | **Range**                                    |
| **skewVal**      | **Skewness**                                 |
| **kurtosisVal**  | **Kurtosis**                                 |
| **q1Val**        | **25th Percentile**                          |
| **q3Val**        | **75th Percentile**                          |
| **IQRVal**       | **IQR**                                      |
| **pct5Val**      | **5th Percentile**                           |
| **pct95Val**     | **95th Percentile**                          |
| **outlierCt**    | **Total number of outliers**                 |
| **lowOutlier**   | **Value below which a record is an outlier** |
| **highOutlier**  | **Value above which a record is an outlier** |

If you have recently uploaded a dataframe with `publish.features_from_df`, you can easily get these statistics for each column in a pandas dataframe. `publish.features_from_df` Returns a featureset

**`featureset = rasgo.publish.features_from_df(df, dimensions, features, granularity, tags)`**

You can get a list of features contained in this featureset using get.features\_by\_featureset.\
\&#xNAN;**`features = rasgo.get.features_by_featureset(featureset.id)`**

And you can create the stats dataframe for this list of features (or any other list you’ve created) by

**`fstatlist = []`**\
\&#xNAN;**`for f in featurelist:`**\
\&#xNAN;**`statdict = f.get_stats().dict()`**\
\&#xNAN;**`statdict['featureName'] = f.name`**\
\&#xNAN;**`fstatlist.append(statdict)`**\
\&#xNAN;**`df = pd.DataFrame(fstatlist)`**


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rasgoml.com/rasgo-docs/rasgo-0.1/pyrasgo-0.3/features/get-feature-stats-in-python.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
